Share via


Location - List Capabilities

Get the list of capabilities of the location.
Get the list of CPU/memory/GPU capabilities of a region.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.ContainerInstance/locations/{location}/capabilities?api-version=2025-09-01

URI Parameters

Name In Required Type Description
location
path True

string

minLength: 1

The name of the Azure region.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

CapabilitiesListResult

The request has succeeded.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

GetCapabilities

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.ContainerInstance/locations/westus/capabilities?api-version=2025-09-01

Sample response

{
  "value": [
    {
      "capabilities": {
        "maxCpu": 4,
        "maxGpuCount": 4,
        "maxMemoryInGB": 14
      },
      "gpu": "K80",
      "ipAddressType": "Public",
      "location": "West US",
      "osType": "Linux",
      "resourceType": "containerGroups"
    },
    {
      "capabilities": {
        "maxCpu": 4,
        "maxGpuCount": 0,
        "maxMemoryInGB": 14
      },
      "gpu": "None",
      "ipAddressType": "Public",
      "location": "West US",
      "osType": "Windows",
      "resourceType": "containerGroups"
    }
  ]
}

Definitions

Name Description
Capabilities

The regional capabilities.

CapabilitiesCapabilities

The supported capabilities.

CapabilitiesListResult

The response containing list of capabilities.

CloudError

An error response from the Container Instance service.

CloudErrorBody

An error response from the Container Instance service.

Capabilities

The regional capabilities.

Name Type Description
capabilities

CapabilitiesCapabilities

The supported capabilities.

gpu

string

The GPU sku that this capability describes.

ipAddressType

string

The ip address type that this capability describes.

location

string

The resource location.

osType

string

The OS type that this capability describes.

resourceType

string

The resource type that this capability describes.

CapabilitiesCapabilities

The supported capabilities.

Name Type Description
maxCpu

number (float)

The maximum allowed CPU request in cores.

maxGpuCount

number (float)

The maximum allowed GPU count.

maxMemoryInGB

number (float)

The maximum allowed memory request in GB.

CapabilitiesListResult

The response containing list of capabilities.

Name Type Description
nextLink

string

The URL to get the next set of results.

value

Capabilities[]

The list of capabilities.

CloudError

An error response from the Container Instance service.

Name Type Description
error

CloudErrorBody

An error response from the Container Instance service.

CloudErrorBody

An error response from the Container Instance service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.